Subject: bug#21423: 24.5; (package-initialize) added to init.el without (setq package-enable-at-startup nil)

From: Artur Malabarba <[email-masked]>
Date: Sun, 6 Sep 2015 16:21:32 +0100

2015-09-06 14:29 GMT+01:00 Phil Sainty <[email-masked]>:
> On 07/09/15 00:59, Artur Malabarba wrote:
>> I think I'd rather do the patch below.
>> This will not only help the situation where we automatically add
>> `(package-initialize)' to the init file, but it will also help those
>> users who have manually added it without knowing about this caveat.
>>
>> Does anyone foresee problems with this?
>
> I did always think it odd that your proposed change wasn't how it
> worked to begin with.
>
> That said, this change would seem to be an issue for anyone who is
> performing a partial initialisation in their init file (for specific
> packages), and then depending on the default initialisation to deal
> with the remainder, post-init.
>
> I can only imagine that's a very small proportion of users indeed,
> but I presume the scenario ought to be considered (even if only for
> the purposes of documenting it in NEWS).

Yes, they'll have to add (setq package-enable-at-startup t) after
calling initialize. That should definitely go in the NEWS.